## OsmGpsMapTrack

OsmGpsMapTrack — A list of GPS points

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    #include <osm-gps-map.h>

    struct              OsmGpsMapTrack;
    struct              OsmGpsMapTrackClass;
    void                osm_gps_map_track_add_point         (OsmGpsMapTrack *track,
                                                             const OsmGpsMapPoint *point);
    void                osm_gps_map_track_get_color         (OsmGpsMapTrack *track,
                                                             GdkColor *color);
    GSList *            osm_gps_map_track_get_points        (OsmGpsMapTrack *track);
    OsmGpsMapTrack *    osm_gps_map_track_new               (void);

## Object Hierarchy

      GObject
       +----OsmGpsMapTrack

## Properties

      "alpha"                    gfloat                : Read / Write / Construct
      "color"                    GdkColor*             : Read / Write
      "line-width"               gfloat                : Read / Write / Construct
      "track"                    gpointer              : Read / Write / Construct Only
      "visible"                  gboolean              : Read / Write / Construct

## Signals

      "point-added"                                    : Run First

## Description

OsmGpsMapTrack stores multiple OsmGpsMapPoint objects, i.e. a track, and describes how such a track should be drawn on the map (see `osm_gps_map_track_add()`), including its colour, width, etc.

## Details

### struct OsmGpsMapTrack

    struct OsmGpsMapTrack;

### struct OsmGpsMapTrackClass

    struct OsmGpsMapTrackClass {
        GObjectClass parent_class;
    };

### osm_gps_map_track_add_point ()

    void                osm_gps_map_track_add_point         (OsmGpsMapTrack *track,
                                                             const OsmGpsMapPoint *point);

### osm_gps_map_track_get_color ()

    void                osm_gps_map_track_get_color         (OsmGpsMapTrack *track,
                                                             GdkColor *color);

### osm_gps_map_track_get_points ()

    GSList *            osm_gps_map_track_get_points        (OsmGpsMapTrack *track);

### osm_gps_map_track_new ()

    OsmGpsMapTrack *    osm_gps_map_track_new               (void);

## Property Details

### The `"alpha"` property

      "alpha"                    gfloat                : Read / Write / Construct

alpha transparency of the track.

Allowed values: [0,1]

Default value: 0.6

### The `"color"` property

      "color"                    GdkColor*             : Read / Write

color of the track.

### The `"line-width"` property

      "line-width"               gfloat                : Read / Write / Construct

width of the lines drawn for the track.

Allowed values: [0,100]

Default value: 4

### The `"track"` property

      "track"                    gpointer              : Read / Write / Construct Only

list of points for the track.

### The `"visible"` property

      "visible"                  gboolean              : Read / Write / Construct

should this track be visible.

Default value: TRUE

## Signal Details

### The `"point-added"` signal

    void                user_function                      (OsmGpsMapTrack *self,
                                                            OsmGpsMapPoint *arg1,
                                                            gpointer        user_data)      : Run First

The point-added signal.

`self` : | A OsmGpsMapTrack
`user_data` : | user data set when the signal handler was connected.